* Code for replicating the analysis in Fordham, Benjamin O. 2008. "Economic Interests and Public Support for American Global Activism." International Organization 62(1): 163-82.

* Descriptive statistics on correlates of isolationist attitudes
* These commands should be run on the 2004 ANES data
* The results were used in Table 1 and the related text
gen isolat=V043113
recode isolat (1=1) (5=0) (8=0) (9=.)
gen protectionist=V045114
recode protectionist (1=1) (5=0) (7=0) (8=0) (9=.)
gen bushiraq=V043132
recode bushiraq (1=1) (5=0) (8=0) (9=.)
gen worthiraq=V043134
recode worthiraq (1=1) (5=0) (8=0) (9=.)
gen defspend=V043142
recode defspend (80=.) (88=.) (89=.)
gen worthafghan=V043131
recode worthafghan (1=1) (5=0) (8=0) (9=.)
gen cutfornaid=V043171
recode cutfornaid (1=0) (3=1) (5=0) (7=1) (8=0) (9=.)
gen impprolif=V045099
recode impprolif (1=1) (3=2) (5=3) (8=4) (9=4)
gen imphrs=V045100
recode imphrs (1=1) (3=2) (5=3) (8=4) (9=4)
gen impun=V045101
recode impun (1=1) (3=2) (5=3) (8=4) (9=4)
gen imphunger=V045102
recode imphunger (1=1) (3=2) (5=3) (8=4) (9=4)
gen impjobs=V045103
recode impjobs (1=1) (3=2) (5=3) (8=4) (9=4)
gen impdem=V045104
recode impdem (1=1) (3=2) (5=3) (8=4) (9=4)
gen impimmigrant=V045105
recode impimmigrant (1=1) (3=2) (5=3) (8=4) (9=4)
gen impmkt=V045106
recode impmkt (1=1) (3=2) (5=3) (8=4) (9=4)
gen impterror=V045107
recode impterror (1=1) (3=2) (5=3) (8=4) (9=4)
gen strongmil=V045108
recode strongmil (8=.) (9=.)

* Bivariate comparisons for Table 1
* Data from 2004 ANES
tab isolat impprolif, chi2 row
tab isolat impterror, chi2 row
tab isolat imphrs, chi2 row
tab isolat impun, chi2 row
tab isolat impdem, chi2 row
tab isolat imphunger, chi2 row
tab isolat impjobs, chi2 row
tab isolat impimmigrant, chi2 row
tab isolat impmkt, chi2 row

* Additional bivariate comparisons for the text
tab isolat cutfornaid, chi2 row
tab isolat protectionist, chi2 row
tab isolat worthiraq, chi2 row
tab isolat worthafghan, chi2 row
tab isolat defspend, chi2 row
tab isolat strongmil, chi2 row

* The remainder of the analysis employed the ANES cumulative data file and some 
* supplementary data I collected myself

gen region =1 if VCF0901 < 10
recode region .=2 if VCF0901 > 10 & VCF0901 < 20
recode region .=3 if VCF0901 > 20 & VCF0901 < 30
recode region .=4 if VCF0901 > 30 & VCF0901 < 40
recode region .=5 if VCF0901 > 39 & VCF0901 < 50
recode region .=6 if VCF0901 > 50 & VCF0901 < 60
recode region .=7 if VCF0901 > 60 & VCF0901 < 70
recode region .=8 if VCF0901 > 70 & VCF0901 ~=.
label define rlabels 1 "New England" 2 "Middle Atlantic" 3 "Great Lakes" 4 "Great Plains" 5 "South" 6 "Border" 7 "Mountain West" 8 "Far West"
label value region rlabels
gen statecd=VCF0901
gen year=VCF0004
gen intlist = 1 if VCF0823==2
recode intlist .=0 if VCF0823~=.
label var intlist "Disagree that U.S. too concerned with other countries (VCF0823)"
gen isolat = 1 if VCF0823==1
recode isolat .=0 if VCF0823~=.
label var isolat "Agree that U.S. too concerned with other countries (VCF0823)"
gen isolat2=1 if isolat==1
recode isolat2 .=-1 if intlist==1
recode isolat2 .=0 if isolat==0 & intlist==0
gen native = 1 if VCF0142 < 200
recode native .=0 if VCF0142 ~=.
label var native "Born in the United States (VCF0142)"
gen immparent = 1 if VCF0143==5
recode immparent .=0 if VCF0143~=.
label var immparent "One or both parents immigrants (VCF0143)"
gen union =1 if VCF0127==1
recode union .=0 if VCF0127~=.
label var union "Member of household belongs to labor union (VCF0127)"
gen ruralborn = 1 if VCF0134==1
recode ruralborn .=0 if VCF0134~=.
label var ruralborn "Grew up in rural area (VCF0134)"
gen urbanborn=1 if VCF0135==1
recode urbanborn .=0 if VCF0135~=.
label var urbanborn "Grew up in large city (VCF0134)"
gen college=1 if VCF0140>4 & VCF0140 < 7
recode college .=0 if VCF0140~=. & VCF0140~=9
label var college "Attended at least some college (VCF0140)"
gen education = VCF0110
label var education "Education, 1 is lowest (VCF0110)"
gen black=1 if VCF0106==2
recode black .=0 if VCF0106~=.
label var black "Respondent is black (VCF0106)"
gen urban=1 if VCF0111==1
recode urban .=0 if VCF0111~=.
label var urban "Lives in urban area (VCF0111)"
gen suburban=1 if VCF0111==2
recode suburban .=0 if VCF0111~=.
label var suburban "Lives in suburban area (VCF0111)"
gen rural=1 if VCF0111==3
recode rural .=0 if VCF0111~=.
label var rural "Lives in rural area (VCF0111)"
gen miltherm = VCF0213
recode miltherm (98=.) (99=.)
label var miltherm "Military feeling thermometer (VCF0213)"
gen partyid = VCF0301
recode party 9=4
label var partyid "Party identification, 7-point scale, D=1 (VCF0301)"
gen democrat = 1 if VCF0301<3 & VCF0301~=.
recode democrat .=0 if VCF0301~=.
label var democrat "Identifies as Democrat (VCF0301)"
gen republican = 1 if VCF0301<6 & VCF0301 < 8
recode republican .=0 if VCF0301~=.
label var republican "Identifies as Republican (VCF0301)"
gen ideology=VCF0803
recode ideology (9=.) (0=.)
label var ideology "Ideology, 7-point scale, liberal=1 (VCF0803)"
gen supportwar = 1 if VCF0826==2
recode supportwar .=0 if VCF0826~=.
label var supportwar "Support war in Korea/Vietnam (VCF0826)"
gen opposewar=1 if VCF0826==1
recode opposewar .=0 if VCF0826~=.
label var opposewar "Oppose war in Korea/Vietnam (VCF0826)"
gen milsupport1=1 if VCF0828==2
recode milsupport1 .=0 if VCF0828~=.
label var milsupport1 "Support military spending (VCF0828)"
gen miloppose1=1 if VCF0828==1
recode miloppose1 .=0 if VCF0828~=.
label var miloppose1 "Oppose military spending (VCF0828)"
gen detente=VCF0841
recode detente (9=.) (0=.)
label var detente "Cooperate with Soviet Union, 7-point scale, 1=coop (VCF0841)"
gen milsupport2=VCF0843
recode milsupport2 (9=.) (0=.)
label var milsupport2 "Support for military spending, 7-point scale, 1=cut (VCF0843)"
gen useforce = VCF0844
recode useforce (8=.) (9=.)
label var useforce "Willingness to use force, 5-point scale 1=extremely willing (VCF0844)"
gen fpsalience = 1 if VCF0875==03
recode fpsalience .=0 if VCF0875~=.
label var fpsalience "Foreign policy is most important problem (VCF0875)"
gen female=1 if VCF0104==2
recode female .=0 if VCF0104~=.
label var female "Respondent female (VCF1004)"
gen german = 1 if VCF0109==19
recode german .=0 if VCF0109~=.
label var german "Self-identifies as German ethnic extraction (VCF0109)"
gen irish =1 if VCF0109==29
recode irish .=0 if VCF0109~=.
label var irish "Self-identifies as Irish ethnic extraction (VCF0109)"
gen fincome=VCF0114
label var fincome "Family income (VCF0114)"
gen cohort=VCF0103
label var cohort "Age cohort (VCF0103)"
gen age = VCF0101
label var age "Age (VCF0101)"
gen professional = 1 if VCF0115==1
recode professional .=0 if VCF0115~=.
label var professional "Occupation professional/managerial (VCF0115)"
gen laborer = 1 if VCF0115==4
recode laborer .=0 if VCF0115~=.
label var laborer "Occupation laborer, not farm (VCF0115)"
gen farmer = 1 if VCF0115==5
recode farmer .=0 if VCF0115~=.
label var farmer "Occupation farmer (VCF0115)"
gen skilled = 1 if VCF0115==3
recode skilled .=0 if VCF0115~=.
label var skilled "Skilled/semi-skilled/service worker (VCF0115)"
gen housecand1=1  if VCF0972==1
recode housecand1 .=0 if VCF0972~=.
label var housecand1 "Knows House candidates (VCF0972)"
gen housecand2=0 if VCF0976==0
recode housecand2 .=1 if VCF0976==10
recode housecand2 .=1 if VCF0976==11
recode housecand2 .=2 if VCF0976>19&VCF0976~=.
label var housecand2 "Number of House candidates correctly known (VCF0976)"
gen knowincumb=1 if VCF0978==1
recode knowincumb .=0 if VCF0978==2
label var knowincumb "R knows if a candidate is an incumbent or not"
gen mediaexp=VCF0728
recode mediaexp (1=0) (2=1) (3=2) (4=3) (5=4) (0=.)
label var mediaexp "Number of media types to which R exposed"
gen polinfo=VCF0050b
recode polinfo (1=0.95) (2=0.8) (3=0.5) (4=0.2) (5=0.05)
gen bluecollar=skilled+laborer

* These commands merge the supplementary data included with these replication commands
* You will need to add the correct path statements to merge these files
sort statecd year
merge statecd year using "...State trade and military data.dta"
drop _merge
sort year
merge year using "...\External pressures.dta"
drop if VCF0001==.
gen hiincome=1 if fincome>3 & fincome~=.
recode hiincome .=0 if fincome<4 & fincome~=.
gen topincome=1 if fincome==5
recode topincome .=0 if fincome~=.
gen stateyear=(statecd*10000)+year
gen include=1 if isolat~=. & education~=. & fincome ~=. & professional ~=.

* Model of individual attitudes from NES cumulative file.
* Model of support for isolationism
* Specification tests for yearly fixed effects to be included in table.
* Standard errors adjusted for clustering on state-year
* Fixed effects for each year and for each state are included.
* State fixed effects insure that the impact of the economic
* variables does not reflect other regional differences in 
* political culture.
* State 65 must be dropped to facilitate estimation of predicted probabilities

drop if statecd==65

* These results should probably be the main ones reported
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
est store ISO
*Effect of manufacturing export orientation
prvalue, x(xintmfg2=.001 bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(xintmfg2=.015) rest(previous) ept brief
prvalue, x(xintmfg2=.039) rest(previous) ept brief
*Effect of manufacturing import sensitivity
prvalue, x(msensmfg2=.001 bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(msensmfg2=.017) rest(previous) ept brief
prvalue, x(msensmfg2=.062) rest(previous) ept brief

* These results include ideology and party
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.ideology i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
* Liberal
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
* Extreme Liberal
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Extreme Conservative
prvalue, x(_Iideology_2=0 _Iideology_7=1) rest(previous) ept brief
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.partyid i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
* Strong Democrat
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Independent, leaning Democratic
prvalue, x(_Ipartyid_3=1) rest(previous) ept brief
* Independent, not leaning
prvalue, x(_Ipartyid_3=0 _Ipartyid_4=1) rest(previous) ept brief
* Strong Republican
prvalue, x(_Ipartyid_3=0 _Ipartyid_7=1) rest(previous) ept brief

* Robustness check 1: Is education effect from exposure to elite consensus?
* Check for effect of knowledge on isolationist attitudes
* Note that education effect persists after controlling for knowledge/media
corr housecand1 housecand2 knowincumb mediaexp polinfo
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl housecand1 bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl housecand2 bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl knowincumb bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl mediaexp bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl polinfo bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)

*Effect of manufacturing export orientation
prvalue, x(xintmfg2=.001 bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(xintmfg2=.015) rest(previous) ept brief
prvalue, x(xintmfg2=.039) rest(previous) ept brief

*Effect of manufacturing import sensitivity
prvalue, x(msensmfg2=.001 bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(msensmfg2=.017) rest(previous) ept brief
prvalue, x(msensmfg2=.062) rest(previous) ept brief

* Robustness check 2: Are there threshold effects for education
* Note threshold effect for family income, too.  There is no education explanation
* for the threshold here.  Note also the effects of different professions associated
* with human capital.
est restore ISO
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(_Ieducation_2=1) rest(previous) brief
prvalue, x(_Ieducation_2=0 _Ieducation_3=1) rest(previous) brief
prvalue, x(_Ieducation_3=0 _Ieducation_4=1) rest(previous) brief

* Effects of different professions associated with human capital
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(bluecollar=1) rest(previous) ept brief
prvalue, x(bluecollar=0 professional=1) rest(previous) ept brief

* Effects of family income; note threshold at top two brackets
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(_Ifincome_2=1) rest(previous) brief
prvalue, x(_Ifincome_2=0 _Ifincome_3=1) rest(previous) brief
prvalue, x(_Ifincome_3=0 _Ifincome_4=1) rest(previous) brief
prvalue, x(_Ifincome_4=0 _Ifincome_5=1) rest(previous) brief

*This checks to see if the threshold disappears once media exposure is controlled
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl polinfo bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(_Ieducation_2=1) rest(previous) brief
prvalue, x(_Ieducation_2=0 _Ieducation_3=1) rest(previous) brief
prvalue, x(_Ieducation_3=0 _Ieducation_4=1) rest(previous) brief

* Effects of different professions associated with human capital
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(bluecollar=1) rest(previous) ept brief
prvalue, x(bluecollar=0 professional=1) rest(previous) ept brief

* Effects of family income; note threshold at top two brackets
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
prvalue, x(_Ifincome_2=1) rest(previous) brief
prvalue, x(_Ifincome_2=0 _Ifincome_3=1) rest(previous) brief
prvalue, x(_Ifincome_3=0 _Ifincome_4=1) rest(previous) brief
prvalue, x(_Ifincome_4=0 _Ifincome_5=1) rest(previous) brief

* Robustness check 4: Are the effects consistent over time?
* Graph will compare the consistency of education/income effects with ideology over time
* Confidence intervals computed using endpoint transformation so that predicted
* values will not be greater than 1 or less than 0.
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1956, nolog robust cluster(statecd)
* Bluecollar worker with lowest values of education and family income, 1956
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1956
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1956, nolog robust cluster(statecd)
* Strong Democrat, 1956
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1956
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1958, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1958
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1958
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1958, nolog robust cluster(statecd)
* Strong Democrat, 1958
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1958
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1960, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1960
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1960
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1960, nolog robust cluster(statecd)
* Strong Democrat, 1960
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1960
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1968, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1968
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1968
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1968, nolog robust cluster(statecd)
* Strong Democrat, 1968
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1968
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1972, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1972
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1972
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1972, nolog robust cluster(statecd)
* Liberal, 1972
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1972
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1972, nolog robust cluster(statecd)
* Strong Democrat, 1972
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1972
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1976, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1976
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1976
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1976, nolog robust cluster(statecd)
* Liberal, 1976
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0  _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1976
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1976, nolog robust cluster(statecd)
* Strong Democrat, 1976
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1976
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1980, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1980
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1980
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1980, nolog robust cluster(statecd)
* Liberal, 1980
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1980
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1980, nolog robust cluster(statecd)
* Strong Democrat, 1980
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1980
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1984, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1984
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1984
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1984, nolog robust cluster(statecd)
* Liberal, 1984
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0) ept brief
* Conservative, 1984
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1984, nolog robust cluster(statecd)
* Strong Democrat, 1984
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1984
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1986, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1986
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1986
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1986, nolog robust cluster(statecd)
* Liberal, 1986
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1986
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1986, nolog robust cluster(statecd)
* Strong Democrat, 1986
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1986
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief


quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1988, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1988
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1988
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1988, nolog robust cluster(statecd)
* Liberal, 1988
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1988
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1988, nolog robust cluster(statecd)
* Strong Democrat, 1988
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1988
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1990, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1990
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1990
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1990, nolog robust cluster(statecd)
* Liberal, 1990
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1990
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1990, nolog robust cluster(statecd)
* Strong Democrat, 1990
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1990
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1992, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1992
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1992
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1992, nolog robust cluster(statecd)
* Liberal, 1992
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1992
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1992, nolog robust cluster(statecd)
* Strong Democrat, 1992
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1992
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1994, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1994
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1994
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1994, nolog robust cluster(statecd)
* Liberal, 1994
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1994
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1994, nolog robust cluster(statecd)
* Strong Democrat, 1994
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1994
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1996, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1996
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1996
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1996, nolog robust cluster(statecd)
* Liberal, 1996
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1996
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1996, nolog robust cluster(statecd)
* Strong Democrat, 1996
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1996
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==1998, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 1998
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 1998
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort i.ideology rural if year==1998, nolog robust cluster(statecd)
* Liberal, 1998
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Iideology_2=1 _Iideology_3=0 _Iideology_4=0 _Iideology_5=0 _Iideology_6=0 _Iideology_7=0) ept brief
* Conservative, 1998
prvalue, x(_Iideology_2=0 _Iideology_6=1) rest(previous) ept brief
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==1998, nolog robust cluster(statecd)
* Strong Democrat, 1998
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 1998
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural if year==2000, nolog robust cluster(statecd)
* Blue collar worker with lowest values of education and family income, 2000
prvalue, x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) ept brief
* Professional respondent with highest values of education and family income, 2000
prvalue, x(bluecollar=0 professional=1 _Ieducation_4=1 _Ifincome_5=1) rest(previous) ept brief
*Ideology effects cannot be estimated for 2000 due to missing data
quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome i.partyid female black age cohort rural if year==2000, nolog robust cluster(statecd)
* Strong Democrat, 2000
prvalue, x(bluecollar=0 professional=0 _Ieducation_2=1 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=1 _Ifincome_4=0 _Ifincome_5=0 _Ipartyid_2=0 _Ipartyid_3=0 _Ipartyid_4=0 _Ipartyid_5=0 _Ipartyid_6=0 _Ipartyid_7=0) ept brief
* Strong Republican, 2000
prvalue, x(_Ipartyid_7=1) rest(previous) ept brief

log close

*Predicted probabilities for Figure illustrating effects
*High demographic case is xhi or mhi, lowest is xlo or mlo.

quietly xi: logit isolat xintmfg2 msensmfg2 xintag2 msensag2 milempl bluecollar professional i.education i.fincome female black age cohort rural i.year i.statecd if include==1, nolog robust cluster(stateyear)
prgen xintmfg2, generate(xlok) x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) n(20) ci brief
prgen xintmfg2, generate(xhik) x(bluecollar=0 professional=1 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=1 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=1) n(20) ci brief
prgen msensmfg2, generate(mlok) x(bluecollar=1 professional=0 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=0 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=0) n(20) ci brief
prgen msensmfg2, generate(mhik) x(bluecollar=0 professional=1 _Ieducation_2=0 _Ieducation_3=0 _Ieducation_4=1 _Ifincome_2=0 _Ifincome_3=0 _Ifincome_4=0 _Ifincome_5=1) n(20) ci brief

*Outputting predicted values into spreadsheet
keep xhikx xhikp1 xhikp1ub xhikp1lb xlokx xlokp1 xlokp1ub xlokp1lb mhikx mhikp1 mhikp1ub mhikp1lb mlokx mlokp1 mlokp1ub mlokp1lb 
drop if xhikx==.
outsheet using "...Predicted probabilities.raw", replace
